> ## Documentation Index
> Fetch the complete documentation index at: https://devliz.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# List watchlisted TV shows

> This endpoint allows you to get a list of TV shows added to a user's watchlist.



## OpenAPI

````yaml get /account/{{account_id}}/watchlist/tv
openapi: 3.0.3
info:
  title: TMDB API DOCS
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.themoviedb.org/3
  - url: https://api.themoviedb.org
security:
  - bearerAuth: []
tags:
  - name: Authentication
    description: >-
      This section contains endpoints that let you create authentication
      sessions for TMDB Guests and User accounts.
  - name: Account
    description: >-
      This section contains endpoints that let you access and sync with TMDB
      user account information.
  - name: Certifications
    description: >-
      This section contains endpoints that provide an up-to-date list of the
      officially supported movies and TV show certifications on TMDB.
  - name: Changes
    description: >-
      This section contains endpoints that let you fetch the list of Movie IDs,
      People IDs, and TV show IDs that have been changed in the past 24 hours.
  - name: Collections
    description: >-
      This collection contains endpoints that let you fetch movie collection
      details.
  - name: Discover
    description: >-
      This section contains endpoints that let you search for movies and TV
      shows, using sorts and filters.
  - name: Configuration
    description: This section contains endpoints that let you query the API configuration.
  - name: Movies
    description: >-
      This section contains endpoints that let you fetch information about the
      movie resource.
  - name: Companies
    description: >-
      This section contains endpoints that fetch information about a movie
      production company.
  - name: Credits
    description: This section contains endpoint for credit details.
  - name: Find
    description: This section contains endpoints that let you find movie or TV data.
  - name: Genres
    description: This section contain endpoints that let you get movie and TV genres.
  - name: Search
    description: This section contains endpoints that let you search through TMDB
  - name: Keywords
    description: This section contains endpoints for keyword information in TMDB
  - name: Movie Lists
    description: >-
      This section contains endpoints that let you fetch information about list
      of movies on TMDB
  - name: Networks
    description: >-
      This section contains endpoints that let you get information about the
      streaming networks.
  - name: People Lists
    description: This section contains endpoints of list of people.
  - name: People
    description: >-
      This section contains endpoints that let you get information about a
      person.
  - name: Reviews
    description: This section contains endpoints for movie or TV reviews.
  - name: Trending
    description: This section contains endpoints for trending movies, TV shows, and people.
  - name: TV Series List
    description: This section contains endpoints for listing TV series.
  - name: TV Series
    description: >-
      This section contains endpoints that let you get information for a TV
      series by ID
  - name: TV Seasons
    description: This section contains endpoints for TV show seasons.
  - name: TV Episodes
    description: >-
      This section contains endpoints that let you query information about a TV
      episode.
  - name: TV Episode groups
    description: This section contains endpoints for TV Episode information
  - name: Watch providers
    description: >-
      This section contains endpoints that let you get information about watch
      providers.
paths:
  /account/{{account_id}}/watchlist/tv:
    parameters:
      - name: account_id
        in: path
        required: true
        schema:
          type: string
    get:
      tags:
        - Account
      summary: List watchlisted TV shows
      description: >-
        This endpoint allows you to get a list of TV shows added to a user's
        watchlist.
      operationId: listWatchlistedTvShows
      parameters:
        - name: language
          in: query
          schema:
            type: string
            example: en-US
          description: language format of the details you want to get.
        - name: page
          in: query
          schema:
            type: string
            example: '1'
          description: what page the query belongs
        - name: sort_by
          in: query
          schema:
            type: string
            example: created_at.asc
          description: filter the query by ascending or descending order
        - name: session_id
          in: query
          schema:
            type: string
            example: string
          description: filter by the user session ID
      responses:
        '200':
          description: Watchlist TV
          headers:
            Alt-Svc:
              schema:
                type: string
                example: h3=":443"; ma=86400
            Cache-Control:
              schema:
                type: string
                example: public, max-age=0
            Connection:
              schema:
                type: string
                example: keep-alive
            Content-Encoding:
              schema:
                type: string
                example: gzip
            Date:
              schema:
                type: string
                example: Tue, 10 Dec 2024 17:47:27 GMT
            ETag:
              schema:
                type: string
                example: W/"b92635a859f2f16afea05c76427bf22d"
            Server:
              schema:
                type: string
                example: openresty
            Transfer-Encoding:
              schema:
                type: string
                example: chunked
            Vary:
              schema:
                type: string
                example: Origin
            Via:
              schema:
                type: string
                example: >-
                  1.1 20579d8c7e6a7d159f211e9ee1d4003c.cloudfront.net
                  (CloudFront)
            X-Amz-Cf-Id:
              schema:
                type: string
                example: 3HL3KEoUP9Q7LUFSHyD7P83fNY6T81NiC8NAKj5gNHsL8NpTDLcDfA==
            X-Amz-Cf-Pop:
              schema:
                type: string
                example: IAD89-C3
            X-Cache:
              schema:
                type: string
                example: Miss from cloudfront
            x-memc:
              schema:
                type: string
                example: MISS
            x-memc-age:
              schema:
                type: string
                example: '0'
            x-memc-expires:
              schema:
                type: string
                example: '0'
            x-memc-key:
              schema:
                type: string
                example: fcc546b7a90c55e954379b37f7ff40dc
          content:
            application/json:
              schema:
                type: object
                properties:
                  page:
                    type: number
                    example: 1
                  results:
                    type: array
                    items:
                      type: object
                      properties:
                        adult:
                          type: boolean
                          example: false
                        backdrop_path:
                          type: string
                          example: /lBoHzOgft2QfpjkVVvZCqeM4ttT.jpg
                        first_air_date:
                          type: string
                          example: '2024-11-17'
                        genre_ids:
                          type: array
                          items:
                            type: number
                            example: 10765
                          example:
                            - 10765
                            - 18
                            - 10759
                        id:
                          type: number
                          example: 90228
                        name:
                          type: string
                          example: 'Dune: Prophecy'
                        origin_country:
                          type: array
                          items:
                            type: string
                            example: US
                          example:
                            - US
                        original_language:
                          type: string
                          example: en
                        original_name:
                          type: string
                          example: 'Dune: Prophecy'
                        overview:
                          type: string
                          example: >-
                            Ten thousand years before the ascension of Paul
                            Atreides, sisters Valya and Tula Harkonnen establish
                            the fabled sect and female order that would become
                            known as the Bene Gesserit to control the future of
                            humankind.
                        popularity:
                          type: number
                          example: 1001.067
                        poster_path:
                          type: string
                          example: /5B8Cxz8ZZXp3w2WmmdKTXpkS24e.jpg
                        vote_average:
                          type: number
                          example: 7.9
                        vote_count:
                          type: number
                          example: 112
                    example:
                      - adult: false
                        backdrop_path: /lBoHzOgft2QfpjkVVvZCqeM4ttT.jpg
                        first_air_date: '2024-11-17'
                        genre_ids:
                          - 10765
                          - 18
                          - 10759
                        id: 90228
                        name: 'Dune: Prophecy'
                        origin_country:
                          - US
                        original_language: en
                        original_name: 'Dune: Prophecy'
                        overview: >-
                          Ten thousand years before the ascension of Paul
                          Atreides, sisters Valya and Tula Harkonnen establish
                          the fabled sect and female order that would become
                          known as the Bene Gesserit to control the future of
                          humankind.
                        popularity: 1001.067
                        poster_path: /5B8Cxz8ZZXp3w2WmmdKTXpkS24e.jpg
                        vote_average: 7.9
                        vote_count: 112
                  total_pages:
                    type: number
                    example: 1
                  total_results:
                    type: number
                    example: 1
              examples:
                Watchlist TV:
                  value:
                    page: 1
                    results:
                      - adult: false
                        backdrop_path: /lBoHzOgft2QfpjkVVvZCqeM4ttT.jpg
                        first_air_date: '2024-11-17'
                        genre_ids:
                          - 10765
                          - 18
                          - 10759
                        id: 90228
                        name: 'Dune: Prophecy'
                        origin_country:
                          - US
                        original_language: en
                        original_name: 'Dune: Prophecy'
                        overview: >-
                          Ten thousand years before the ascension of Paul
                          Atreides, sisters Valya and Tula Harkonnen establish
                          the fabled sect and female order that would become
                          known as the Bene Gesserit to control the future of
                          humankind.
                        popularity: 1001.067
                        poster_path: /5B8Cxz8ZZXp3w2WmmdKTXpkS24e.jpg
                        vote_average: 7.9
                        vote_count: 112
                    total_pages: 1
                    total_results: 1
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````